--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: A simple sale, capturing funds immediately. Execute authorization and capture in a single step.
full_name: ActiveMerchant::Billing::PayJunctionGateway#purchase
is_singleton: false
name: purchase
params: (money, payment_source, options = {})
visibility: public
